#### D.8.7.6 gaussColWithoutPerm

Procedure from library `recover.lib` (see recover_lib).

Usage:
  gaussColWithoutPerm(M); M a matrix of constant polynomials

Return:
  matrix: basic Gaussian column reduction of M, just without permuting the columns

Example:

    LIB "recover.lib";
    ring r=0,x,dp;
    matrix M[3][4]=0,1,0,2,1,2,3,4,1,0,5,0;
    print(M);
    print(gaussColWithoutPerm(M));

User manual for Singular version 4.4.1, 2025, generated by texi2html.